Class UmlPackage

This class manages a 'package', notes that the project itself is a package
You can modify it as you want (except the constructor)

Declaration :

- C++ : class UmlPackage : public UmlBasePackage
- Java : class UmlPackage extends UmlBasePackage

Artifact : UmlPackage

Operation UmlPackage

Declaration :

- Uml : + UmlPackage(in id : item_id, in n : string) :
- C++ : public: UmlPackage(void * id, const QCString & n) : UmlBasePackage(id, n)
- Java : public UmlPackage(long id, String n)

All public operations : apply , associatedDiagram , children , childrenVisible , cppHDir , cppNamespace , cppSrcDir , create , defined_ , deleteIt , description , findModule , findNamespace , findPackage , getIdentifier , getProject , identifier_ , idlDir , idlModule , isMarked , isProjectModified , isToolRunning , isWritable , javaDir , javaPackage , kind , kind , loadProject , markedItems , moveAfter , name , parent , phpDir , properties , propertyValue , referencedBy , saveProject , set_AssociatedDiagram , set_childrenVisible , set_CppHDir , set_CppNamespace , set_CppSrcDir , set_Description , set_IdlDir , set_IdlModule , set_isMarked , set_JavaDir , set_JavaPackage , set_Name , set_PhpDir , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload , unload